Name:           mysql-proxy
Version:        0.6.1
Release:        4%{?dist}
Summary:        A proxy for the MySQL Client/Server protocol

Group:          Applications/Databases
License:        GPLv2
URL:            http://forge.mysql.com/wiki/MySQL_Proxy

# I haven't found a link to a direct download location, only to mirrors
Source0:        http://mysql.he.net/Downloads/MySQL-Proxy/%{name}-%{version}.tar.gz
Source1:	mysql-proxy.init.d
Source2:	mysql-proxy.cfg
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  lua-devel
BuildRequires:  libevent-devel
BuildRequires:  mysql-devel
BuildRequires:  glib2-devel
BuildRequires:  gawk
BuildRequires:  check-devel
BuildRequires:  flex

%description
MySQL Proxy is a simple program that sits between your client and MySQL
server(s) that can monitor, analyze or transform their communication.
Its flexibility allows for unlimited uses, common ones include: load balancing,
failover, query analysis, query filtering and modification and many more.

%prep
%setup -q -n %{name}-%{version}


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -v %{buildroot}%{_datadir}/*.lua
rm -v examples/Makefile*

install -D -m 0755 %{SOURCE1} %{buildroot}/etc/init.d/%{name}
install -D -m 0644 %{SOURCE2} %{buildroot}/etc/sysconfig/%{name}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS
%doc examples/
%{_sbindir}/%{name}
%{_datadir}/%{name}
/etc/init.d/%{name}
%config(noreplace) /etc/sysconfig/%{name}


%changelog
* Tue May 18 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 0.6.1-4.ru
- rebuild against the new libevent

* Tue Jan 13 2009 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 0.6.1-3.ru
- added init script and config file

* Mon Jun 30 2008 Ruben Kerkhof <ruben@rubenkerkhof.com> - 0.6.1-2
- Rebuild to pick up new libevent

* Sat Feb 09 2008 Ruben Kerkhof <ruben@rubenkerkhof.com> - 0.6.1-1
- Sync with upstream

* Thu Jan 24 2008 Ruben Kerkhof <ruben@rubenkerkhof.com> - 0.6.0-2
- Rebuild to pick up new libevent

* Sat Dec 08 2007 Ruben Kerkhof <ruben@rubenkerkhof.com> - 0.6.0-1
- Upstream released new version
- Fix license tag
- Add BR for check-devel and flex

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.5.1-3
- BR gawk.

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.5.1-2
- Rebuild for selinux ppc32 issue.

* Tue Jul 10 2007 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.5.1-1
- Upstream released new version
- Included examples
* Sun Jul 01 2007 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.5.0-1
- First version
